package com.itd.efiling.offline.ITR1.ctrl;

import static com.itd.efiling.offline.common.logging.util.LoggerManager.LOG;

import java.net.URL;
import java.util.List;
import java.util.ResourceBundle;

import com.itd.efiling.offline.ITR1.model.OthersIncDtls;
import com.itd.efiling.offline.ITR1.onchange.util.OnChangeUtil;
import com.itd.efiling.offline.common.config.ComboBoxOptionsCacher;
import com.itd.efiling.offline.common.player.ctrl.Form;
import com.itd.efiling.offline.common.validation.validators.ValidationUtil;

import javafx.fxml.FXML;
import javafx.fxml.Initializable;
import javafx.geometry.Pos;
import javafx.scene.Node;
import javafx.scene.control.Label;
import javafx.scene.layout.GridPane;
import javafx.scene.layout.HBox;

public class Nature_Income_prev implements Initializable {
	@FXML
	GridPane grid;
	private Node children;

	@FXML
	Label total;

	@Override
	public void initialize(URL location, ResourceBundle resources) {
		ITRView form = (ITRView) Form.getForm();
		LOG.info("value in controller" + form.getTaxDetailsTabController());
		List<OthersIncDtls> list = (List<OthersIncDtls>) ValidationUtil.ALL_TVC
				.get("class com.itd.efiling.offline.ITR1.ctrl.Nature_Income").getTableView().getItems();

		LOG.info("list message ::" + list.size());

		for (int i = 0; i < list.size(); i++) {

			OthersIncDtls td = list.get(i);

			Label label = new Label();
			label.setText(String.valueOf(i + 1));
			label.setWrapText(true);
			label.setMaxWidth(200);
			label.setMinHeight(70);
			HBox sno = new HBox();
			sno.getChildren().add(label);
			sno.setStyle(
					"-fx-padding:0 0 0 20;-fx-font-weight:bold;-fx-border-style: solid inside;-fx-border-width:1 1 1 1;-fx-border-color: grey;");
			grid.add(sno, 0, i + 1);

			Label nat_income = new Label();
			nat_income.setText(ComboBoxOptionsCacher.getValueForKey("natureDesc", td.getNatureDesc()));
			nat_income.setWrapText(true);
			nat_income.setMaxWidth(200);
			nat_income.setMinHeight(50);
			HBox hbox_nat_income = new HBox();
			hbox_nat_income.getChildren().add(nat_income);
			hbox_nat_income.setStyle(
					"-fx-padding:0 0 0 20;-fx-font-weight:bold;-fx-border-style: solid inside;-fx-border-width:1 1 1 1;-fx-border-color: grey;");
			grid.add(hbox_nat_income, 1, i + 1);

			Label nat_other = new Label();
			nat_other.setText(td.getOthNatOfInc());
			nat_other.setWrapText(true);
			nat_other.setMaxWidth(200);
			nat_other.setMinHeight(50);
			HBox hbox_nat_others = new HBox();
			hbox_nat_others.getChildren().add(nat_other);
			hbox_nat_others.setStyle(
					"-fx-padding:0 0 0 20;-fx-font-weight:bold;-fx-border-style: solid inside;-fx-border-width:1 1 1 1;-fx-border-color: grey;");
			grid.add(hbox_nat_others, 2, i + 1);

			Label amount = new Label();
			amount.setText(td.getOthAmount().toString());
			amount.setWrapText(true);
			amount.setMaxWidth(500);
			amount.setMinHeight(50);
			amount.setAlignment(Pos.CENTER_RIGHT);
			HBox hbox_amount = new HBox();
			hbox_amount.getChildren().add(amount);
			hbox_amount.setStyle(
					"-fx-padding:0 0 0 20;-fx-font-weight:bold;-fx-border-style: solid inside;-fx-border-width:1 1 1 1;-fx-border-color: grey;");
			grid.add(hbox_amount, 3, i + 1);

		}
	}
}
